Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSConference Class Reference

The CSConference object provides access to conferencing related capabilities and actions. More...

`#import <CSConference.h>`

Inherits NSObject.

## Instance Methods
(void) | - requestToBecomeModerator:completionHandler:
| Issues a request to promote the local user to become a conference moderator. More...
(void) | - setLocked:completionHandler:
| Locks or unlocks the conference call. More...
(void) | - setLectureModeActive:completionHandler:
| Enables or disables lecture mode for the conference call. More...
(void) | - setContinuationActive:completionHandler:
| Enables or disables conference continuation status after moderator exits the conference call. More...
(void) | - startRecordingWithCompletionHandler:
| Starts conference recording. More...
(void) | - startRecording:recordingDescription:completionHandler:
| Starts conference recording. More...
(void) | - stopRecordingWithCompletionHandler:
| Stops conference recording. More...
(void) | - pauseRecordingWithCompletionHandler:
| Pauses conference recording. More...
(void) | - resumeRecordingWithCompletionHandler:
| Resumes conference recording. More...
(void) | - setVideoAllowed:completionHandler:
| Controls whether video is allowed on the conference call. More...
(void) | - setEntryExitToneActive:completionHandler:
| Controls whether entry and exit tones are allowed for the conference call. More...
(void) | - setMultiplePresentersAllowed:completionHandler:
| Controls whether there can be multiple presenters (panelists) on the call. More...
(void) | - setVideoSelfSeeActive:completionHandler:
| Controls display of the local user's video in the personal video layout received from the conference server. More...
(void) | - setDisplayVideoParticipantNameActive:completionHandler:
| Controls whether participant names are displayed on the video image received from the conference server. More...
(void) | - setVideoLayout:completionHandler:
| Sets the local user's personal video layout preference. More...
(void) | - extendMeeting:completionHandler:
| Extends the meeting by the specified amount of time. More...
(void) | - endConferenceWithCompletionHandler:
| Ends the conference call. More...
(void) | - retrieveDialInInformationWithCompletionHander:
| Retrieves dialing information for the conference call. More...
(void) | - pinVideoWithSourcePoint:destinationPoint:completionHandler:
| Requests for a specific participant's video to be pinned in a certain area of the video image. More...
(void) | - raiseHandWithCompletionHandler:
| Called to raise local user's hand on the conference call to get the moderator's attention, who can unmute and hence allow the participant to speak. More...
(void) | - lowerHandWithCompletionHandler:
| Called to lower local user's hand on the conference call to indicate that the user no longer wants to get the moderator's attention. More...
(void) | - muteAllParticipantsWithCompletionHandler:
| Used by a conference moderator to mute all participants on the conference call. More...
(void) | - unmuteAllParticipantsWithCompletionHandler:
| Used by a conference moderator to unmute all participants on the conference call. More...
(void) | - addParticipant:completionHandler:
| Add a participant to a call. More...
(CSCapability *) | - getAddParticipantFromCallCapability:
| CSCapability object indicating whether the local user can request the conference server to add a participant from a specified call to current call, for example, to add a new user to the conference call. More...
(void) | - addParticipantFromCall:completionHandler:
| Add participant from a call. More...
(void) | - addTerminal:completionHandler:
| Add a terminal to a conference call by terminal IP address. More...
(void) | - removeParticipant:completionHandler:
| Initiates removal of the selected participant from the conference call. More...
(void) | - removeLastParticipantWithCompletionHandler:
| Removes the last participant that was added to a conference call either locally or remotely. More...
(void) | - sendRequestToEnterLockedConferenceWithCompletionHandler:
| Request for permission to enter a locked conference call. More...
(void) | - sendPasscode:completionHandler:
| Request for admission to enter a conference call that is passcode-protected. More...
(void) | - signInWithPortalUserToken:completionHandler:
| Sign in local user. More...

## Properties
BOOL | waitingToStart
| A Boolean value indicating whether the conference call is waiting to be started. More...
NSArray * | participants
| An array of CSActiveParticipant objects representing the participants who are currently in the conference. More...
NSArray * | droppedParticipants
| An array of CSDroppedParticipant objects representing participants who have left the conference. More...
NSArray * | pendingParticipants
| An array of CSPendingParticipant objects representing the participants who are waiting to be admitted to the conference. More...
NSArray * | activeTalkers
| An array of CSActiveParticipant objects representing the participants who are actively talking. More...
NSArray * | activeVideoSourceParticipants
| An array of CSActiveParticipant objects representing the participants whose video is currently being received during a multi video channel conference call. More...
NSArray * | recentTalkers
| An array of CSActiveParticipant objects representing the participants who are recent talkers. More...
CSDataSet * | activeParticipants
| CSDataSet object indicating the participants who are in the conference. More...
CSDataSet * | activeTalkerParticipants
| CSDataSet object indicating the participants who are active talkers. More...
CSDataSet * | droppedParticipantsDS
| CSDataSet object indicating the participants who have left the conference. More...
CSDataSet * | pendingParticipantsDS
| CSDataSet object indicating the participants who are waiting to be admitted to the conference. More...
CSDataSet * | recentTalkerParticipants
| CSDataSet object indicating the participants who are recent talkers. More...
id< CSConferenceDelegate > | delegate
| The delegate used to handle conference-related events. More...
CSCapability * | retrieveParticipantListCapability
| CSCapability object indicating whether the conference call can be queried to get the list of conference participants. More...
CSCapability * | inConferenceChatCapability
| CSCapability object indicating whether in-conference chat is supported. More...
CSChat * | inConferenceChat
| CSChat object associated with the conference call. More...
CSCapability * | meetingMinutesCapability
| CSCapability object indicating whether meeting minutes feature is supported. More...
CSMeetingMinutes * | meetingMinutes
| CSMeetingMinutes object associated with the conference call. More...
CSCapability * | mobileLinkCapability
| CSCapability object indicating whether the conference supports mobile link connection to conference room systems. More...
CSConferenceMobileLink * | mobileLink
| CSConferenceMobileLink object is the mobile link instance associated with the conference. More...
CSCapability * | conferenceSlideViewerCapability
| CSCapability object indicating whether the conference supports personal viewing of presentation slides. More...
CSConferenceSlideViewer * | slideViewer
| CSConferenceSlideViewer object is the slide viewer instance associated with the conference call. More...
NSURL * | collaborationURL
| The collaboration URL associated with the conference call, if the conference call is capable of supporting collaboration. More...
CSCapability * | moderationCapability
| CSCapability object indicating whether the local user can moderate the conference call. More...
CSCapability * | requestToBecomeModeratorCapability
| CSCapability object indicating whether the conference server allows local user to request to become a moderator. More...
BOOL | pinRequiredToBecomeModerator
| A Boolean value indicating whether the conference call requires entry of a moderator PIN before the local user is allowed to become a moderator. More...
CSCapability * | activeTalkerCapability
| CSCapability object indicating whether the conference call reports the active talker information. More...
CSCapability * | muteSelfAudioCapability
| CSCapability object indicating whether the local user can mute self audio on the conference call. More...
CSCapability * | unmuteSelfAudioCapability
| CSCapability object indicating whether the local user can unmute self audio on the conference call. More...
CSCapability * | blockSelfVideoCapability
| CSCapability object indicating whether the local user can block self video on the conference call. More...
CSCapability * | unblockSelfVideoCapability
| CSCapability object indicating whether the local user can unblock self video on the conference call. More...
CSCapability * | updateLockCapability
| CSCapability object indicating whether the local user can lock/unlock the conference call. More...
BOOL | locked
| A Boolean value indicating the lock status of the conference call. More...
CSCapability * | updateLectureModeCapability
| CSCapability object indicating whether the local user can put the conference call in lecture mode. More...
BOOL | lectureModeActive
| A Boolean value indicating whether lecture mode is active. More...
CSCapability * | updateContinuationStatusCapability
| CSCapability object indicating whether the local user can change the conference call continuation mode. More...
BOOL | continuationActive
| A Boolean value indicating whether the conference continues after all moderators have left. More...
CSCapability * | startRecordingCapability
| CSCapability object indicating whether the local user can start conference recording. More...
CSCapability * | stopRecordingCapability
| CSCapability object indicating whether the local user can stop conference recording. More...
CSCapability * | pauseRecordingCapability
| CSCapability object indicating whether the local user can pause conference recording. More...
CSCapability * | resumeRecordingCapability
| CSCapability object indicating whether the local user can resume conference recording. More...
CSCapability * | assignRecordingNameCapability
| CSCapability object indicating whether the local user can assign name and description for the meeting recording. More...
BOOL | recordingActive
| A Boolean value indicating whether the conference is being recorded. More...
NSString * | recordingName
| Returns the meeting recording name. More...
NSString * | recordingDescription
| Returns the meeting recording description. More...
BOOL | recordingPaused
| A Boolean value indicating whether the recording of the conference call is paused. More...
BOOL | isPasscodeRequiredToEnterConference
| A Boolean value indicating whether the conference call is in waiting passcode state. More...
BOOL | isExternalAdmissionRequiredToEnterConference
| A Boolean value indicating whether the conference call is in waiting external admission state. More...
BOOL | permissionRequiredToEnterLockedConference
| A Boolean value indicating whether the conference call is waiting access to join locked conference. More...
CSCapability * | updateVideoAllowedCapability
| CSCapability object indicating whether the local user can enable/disable video for the conference call. More...
BOOL | videoAllowed
| A Boolean value indicating whether the conference allows video. More...
CSCapability * | updateEntryExitToneStatusCapability
| CSCapability object indicating whether the local user can control entry/exit tone setting of the conference call. More...
BOOL | entryExitToneActive
| A Boolean value indicating whether participant entry/exit tones are enabled for the conference. More...
CSConferenceStreamingStatus | streamingStatus
| Current streaming status. More...
CSConferenceEncryptionStatus | encryptionStatus
| Current encryption status. More...
NSString * | subject
| The subject of the conference if one is provided by the conference server. More...
NSString * | brandName
| The brand name of the conference if one is provided by the conference server. More...
CSCapability * | updateMultiplePresentersCapability
| CSCapability object indicating whether the local user can control panel mode status of the conference call. More...
BOOL | multiplePresentersAllowed
| A Boolean value indicating whether multi presenter mode is enabled for the conference. More...
CSCapability * | updateVideoSelfSeeCapability
| CSCapability object indicating whether the local user can control display of the local user's video in the personal video layout received from the conference server. More...
BOOL | videoSelfSeeActive
| A Boolean value indicating whether the self see option is currently active. More...
CSCapability * | updateDisplayVideoParticipantNameCapability
| CSCapability object indicating whether the local user can control display of participant names in the personal video layout received from the conference server. More...
BOOL | participantNameDisplayActive
| A Boolean value indicating whether participant name display option is currently active. More...
BOOL | activeSpeakerVideoAlwaysDisplayed
| A Boolean value indicating whether the 'always display active speaker's video' option is currently enabled. More...
CSCapability * | updateVideoLayoutCapability
| CSCapability object indicating whether the local user can control the video layout setting of the video received from the conference server. More...
CSVideoLayout | videoLayout
| Current layout of the video image created by the conference server. More...
NSArray * | supportedVideoLayouts
| The list of video layouts that the user can choose from. More...
CSCapability * | extendMeetingCapability
| CSCapability object indicating whether local user can extend the end time of the conference call, if the conference has an end time set. More...
NSDate * | meetingEndTime
| Meeting end time if an end time is set for the conference call. More...
CSCapability * | endConferenceCapability
| CSCapability object indicating whether the local user can end the conference call. More...
CSCapability * | retrieveDialInInformationCapability
| CSCapability object indicating whether the local user can retrieve dialing information from the conference server. More...
CSCapability * | videoPinCapability
| CSCapability object indicating whether the local user can pin a specific participant's video in a specific position of the current video layout. More...
CSCapability * | raiseHandCapability
| CSCapability object indicating whether the local user can raise hand (e.g., to get moderator's or panelists' attention). More...
CSCapability * | lowerHandCapability
| CSCapability object indicating whether the local user can lower hand (e.g., lower hand after getting moderator's. More...
BOOL | handRaised
| A Boolean value indicating whether the local user's hand is raised. More...
CSCapability * | muteAllParticipantsCapability
| CSCapability object indicating whether the local user can mute all participants at once. More...
CSCapability * | unmuteAllParticipantsCapability
| CSCapability object indicating whether the local user can unmute all participants at once. More...
CSCapability * | addParticipantViaDialoutCapability
| CSCapability object indicating the local user can request the conference server to dial out towards a specified address, for example, to add a new user to the conference call. More...
CSCapability * | addTerminalIPAddressViaDialoutCapability
| CSCapability object indicating the local user can request the conference server to dial out towards a terminal IP address to add a terminal as a new user to the conference call. More...
CSCapability * | removeParticipantCapability
| CSCapability object indicating whether the local user can select and remove a participant from the call. More...
CSCapability * | removeLastParticipantCapability
| CSCapability object indicating whether the last participant can be dropped from the call. More...
CSCapability * | acceptDenyPendingParticipantCapability
| CSCapability object indicating whether the local user can accept or deny a pending participant's request to enter a locked conference call. More...
CSCapability * | signInCapability
| CSCapability object indicating whether the local user can sign in. More...
BOOL | eventConference
| A Boolean value indicating whether the call is an event conference or a regular conference. More...

## Detailed Description

The CSConference object provides access to conferencing related capabilities and actions.

The CSConference object is accessible from the CSCall object and provides a set of APIs that allow application developers to access different features and services provided by Avaya's different conferencing solutions.

In general, the capabilities and the set of allowed operations are not only dependent on the capabilities of the conferencing server, but also on the specific privileges assigned to the local user on the conference call. For example, if the local user is a moderator of the call, (s)he will be able to perform conference operations such as lock/unlock the call, start/stop recording, as well as operations on participants such as mute/unmute, add a new participant to the call, or drop an existing participant from the call. Status updates reported by the conference server are reported through the CSConferenceDelegate object.

See also
  CSConferenceDelegate

## Method Documentation

- (void) addParticipant: |  | (NSString *) | participant
completionHandler: |  | (void(^)(NSError *error)) | handler

Add a participant to a call.

If the method is called on a 2-party call, the call is escalated to a conference call. In this case, the call:didChangeConferenceStatus: (CSCallDelegate-p) is called to report call status change. If the method is called on a conference call, the participant is added to the conference call using bridge-assisted dial-out. The method may be called multiple times to add multiple participants to the conference call.

Parameters

  participant | The participant address the server dials out towards.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::addParticipantViaDialoutCapability
  - addParticipantFromCall:completionHandler:

- (void) addParticipantFromCall: |  | (CSCall *) | call
completionHandler: |  | (void(^)(NSError *error)) | handler

Add participant from a call.

If the method is called on a 2-party call, the two calls are merged together to create a conference call. In this case, the call:didChangeConferenceStatus: (CSCallDelegate-p) is called to report call status change. If the method is called on a conference call, the input argument call is transferred over to the conference call represented by this object. If the user wants to create a conference call by merging multiple existing calls, this method can be called for each of the calls.

Parameters

  call | The call to add to the conference.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::addParticipantViaDialoutCapability
  - addParticipant:completionHandler:

- (void) addTerminal: |  | (NSString *) | terminalIPAddress
completionHandler: |  | (void(^)(NSError *error)) | handler

Add a terminal to a conference call by terminal IP address.

The terminal is added using bridge-assisted dial-out. The method may be called multiple times to add multiple terminals to the conference call. In order to cancel dial-out terminal please use the method CSConference::removeParticipant

Parameters

  terminalIPAddress | Terminal IP address to add the terminal to the conference call.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::addTerminalIPAddressViaDialoutCapability:

- (void) endConferenceWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Ends the conference call.

This action can only be invoked by a conference moderator.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::endConferenceCapability

- (void) extendMeeting: |  | (uint32_t) | additionalTimeInMinutes
completionHandler: |  | (void(^)(NSError *error)) | handler

Extends the meeting by the specified amount of time.

When the operation is successful, a status update is reported through the conference:didChangeMeetingEndTime: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  additionalTimeInMinutes | Additional time by which the conference call is extended.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::extendMeetingCapability
  CSConference::meetingEndTime

- (CSCapability *) getAddParticipantFromCallCapability: |  | (CSCall *) | callToAdd |

CSCapability object indicating whether the local user can request the conference server to add a participant from a specified call to current call, for example, to add a new user to the conference call.

The capability returns not supported if the conference call does not support the merge feature, or if the local user does not have permission to initiate it.

Parameters

  callToAdd | Call to be merged to the conference call.

See also
  - addParticipant:completionHandler:
  - addParticipantFromCall:completionHandler:

- (void) lowerHandWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Called to lower local user's hand on the conference call to indicate that the user no longer wants to get the moderator's attention.

If the operation is successful, a participant status update notification is reported through the CSActiveParticipantDelegate associated with the local user's CSActiveParticipant.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference:lowerHandCapability
  CSConference::handRaised
  - raiseHandWithCompletionHandler:

- (void) muteAllParticipantsWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Used by a conference moderator to mute all participants on the conference call.

Other moderators, lecturers and presenters are not affected by this call.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::muteAllParticipantsCapability

- (void) pauseRecordingWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Pauses conference recording.

When the operation is successful, a status update is reported through the conference:didChangeRecordingStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::pauseRecordingCapability
  CSConference::resumeRecordingCapability
  CSConference::recordingPaused
  - resumeRecordingWithCompletionHandler:

- (void) pinVideoWithSourcePoint: |  | (CGPoint) | sourcePoint
destinationPoint: |  | (CGPoint) | destinationPoint
completionHandler: |  | (void(^)(NSError *error)) | handler

Requests for a specific participant's video to be pinned in a certain area of the video image.

The source and destination coordinates can be any point within a video region inside the video image. They do not have to be a point at the boundary of the video region. In order to undo a previous video pin operation, the application needs to call setVideoLayout:completionHandler: and specify CSVideoLayoutDynamic layout option.

Parameters

  sourcePoint | Coordinates of the participant's initial video position in the video image. The values are in the range 0.0 to 1.0, with 0, 0 referring to the upper left of the video image.
  destinationPoint | Coordinates of the participant's final video position in the video image. The values are in the range 0.0 to 1.0, with 0, 0 referring to the upper left of the video image.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::videoPinCapability

- (void) raiseHandWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Called to raise local user's hand on the conference call to get the moderator's attention, who can unmute and hence allow the participant to speak.

If the operation is successful, a participant status update notification is reported through the CSActiveParticipantDelegate associated with the local user's CSActiveParticipant.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::raiseHandCapability
  CSConference::handRaised
  - lowerHandWithCompletionHandler:

- (void) removeLastParticipantWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Removes the last participant that was added to a conference call either locally or remotely.

This method can only be used for conference calls where CSConference::removeLastParticipantCapability indicates that this operation is supported. As a result of removing the last party, if the participant count goes down to 2, the CSCall object may transition to a 2-party call. In this case, call:didChangeConferenceStatus: (CSCallDelegate-p) is called to report call status change. Calling this method on non-CM conference calls returns an error.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::removeLastParticipantCapability

- (void) removeParticipant: |  | (CSActiveParticipant *) | participant
completionHandler: |  | (void(^)(NSError *error)) | handler

Initiates removal of the selected participant from the conference call.

The method call is not successful if this is a two party call or if the server returns an error.

For each successful removal, the corresponding CSActiveParticipant object is removed from the conference roster list, and the application is notified through CSConferenceDelegate of this CSConference object.

Parameters

  participant | The participant who is being removed from the call.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::removeParticipantCapability

- (void) requestToBecomeModerator: |  | (NSString *) | moderatorPin
completionHandler: |  | (void(^)(NSError *error)) | handler

Issues a request to promote the local user to become a conference moderator.

Parameters

  moderatorPin | Optional PIN required to issue the moderator request. If PIN is not required, an empty string is provided as the input argument.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) resumeRecordingWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Resumes conference recording.

When the operation is successful, a status update is reported through the conference:didChangeRecordingStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::pauseRecordingCapability
  CSConference::resumeRecordingCapability
  CSConference::recordingPaused
  - pauseRecordingWithCompletionHandler:

- (void) retrieveDialInInformationWithCompletionHander: |  | (void(^)(NSString *dialingInformation, NSError *error)) | handler |

Retrieves dialing information for the conference call.

- Parameters

    handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error. `dialingInformation` If the operation was successful this parameter will contain a value indicates the result of operation. If the operation is failed it will be nil

  See also
    CSConference::retrieveDialInInformationCapability

- (void) sendPasscode: |  | (NSString *) | passcode
completionHandler: |  | (void(^)(NSError *error)) | handler

Request for admission to enter a conference call that is passcode-protected.

This is preceded by conference:didRequirePasscode: (CSConferenceDelegate-p) callback to the application. If the user provides passcode to enter the conference call, this method should be called. If the user does not want to provide passcode, end (CSCall): should be called to end the local endpoint's participation to the conference call.

Parameters

  passcode | Admission passcode.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) sendRequestToEnterLockedConferenceWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Request for permission to enter a locked conference call.

This is preceded by conferenceDidRequirePermissionToEnter: (CSConferenceDelegate-p) callback to the application. If the user decides to request permission to enter the locked conference call, this method should be called. If the user decides not to request permission from the moderator, end (CSCall) should be called to end local user's connection to the conference call.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If the operation is pending approval the parameter contains an object with `code` of CSErrorPendingApproval. If an error occurred it contains an object describing the error.

- (void) setContinuationActive: |  | (BOOL) | active
completionHandler: |  | (void(^)(NSError *error)) | handler

Enables or disables conference continuation status after moderator exits the conference call.

When the operation is successful, a status update is reported through the conference:didChangeContinuationStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  active | If `YES` continuation is enabled. If `NO` continuation is disabled.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateContinuationStatusCapability
  CSConference::continuationActive

- (void) setDisplayVideoParticipantNameActive: |  | (BOOL) | active
completionHandler: |  | (void(^)(NSError *error)) | handler

Controls whether participant names are displayed on the video image received from the conference server.

When the operation is successful, a status update is reported through the conference:didChangeDisplayParticipantNameOnVideo: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  active | If `YES` display of participant names on the video image is active. If `NO` display of participant names on the video image is not active.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateDisplayVideoParticipantNameCapability
  CSConference::participantNameDisplayActive

- (void) setEntryExitToneActive: |  | (BOOL) | active
completionHandler: |  | (void(^)(NSError *error)) | handler

Controls whether entry and exit tones are allowed for the conference call.

When the operation is successful, a status update is reported through the conference:didChangeEntryExitToneStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  active | If `YES` participant entry/exit tones are enabled. If `NO` entry/exit tones are disabled.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateEntryExitToneStatusCapability
  CSConference::entryExitToneActive

- (void) setLectureModeActive: |  | (BOOL) | active
completionHandler: |  | (void(^)(NSError *error)) | handler

Enables or disables lecture mode for the conference call.

When the operation is successful, a status update is reported through the conference:didChangeLectureModeStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  active | If `YES` lecture mode is enabled. If `NO` lecture mode is disabled.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::lectureModeActive
  CSConference::updateLectureModeCapability

- (void) setLocked: |  | (BOOL) | locked
completionHandler: |  | (void(^)(NSError *error)) | handler

Locks or unlocks the conference call.

If the call is not a conference call or the conference call is not locked, an error will occur. When the operation is successful, a status update is reported through the conference:didChangeLockStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  locked | If `YES` the conference is locked. If `NO` the conference is unlocked.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateLockCapability
  CSConference::locked

- (void) setMultiplePresentersAllowed: |  | (BOOL) | allowed
completionHandler: |  | (void(^)(NSError *error)) | handler

Controls whether there can be multiple presenters (panelists) on the call.

Parameters

  allowed | If `YES` multiple presenters are allowed. If `NO` multiple presenters are not allowed.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateMultiplePresentersCapability
  CSConference::multiplePresentersAllowed

- (void) setVideoAllowed: |  | (BOOL) | allowed
completionHandler: |  | (void(^)(NSError *error)) | handler

Controls whether video is allowed on the conference call.

When the operation is successful, a status update is reported through the conference:didChangeVideoStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  allowed | If `YES` video is allowed. If `NO` video is disallowed.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateVideoAllowedCapability
  CSConference::videoAllowed

- (void) setVideoLayout: |  | (CSVideoLayout) | layout
completionHandler: |  | (void(^)(NSError *error)) | handler

Sets the local user's personal video layout preference.

When the operation is successful, a status update is reported through the conference:didChangeVideoLayout: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  layout | User selected video layout if the conference server supports the layout selection.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateVideoLayoutCapability
  CSConference::supportedVideoLayouts
  CSConference::videoLayout

- (void) setVideoSelfSeeActive: |  | (BOOL) | active
completionHandler: |  | (void(^)(NSError *error)) | handler

Controls display of the local user's video in the personal video layout received from the conference server.

When the operation is successful, a status update is reported through the conference:didChangeVideoSelfSeeStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  active | If `YES` self see is enabled. If `NO` self see is disabled.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::updateVideoSelfSeeCapability
  CSConference::videoSelfSeeActive

- (void) signInWithPortalUserToken: |  | (NSString *) | portalUserToken
completionHandler: |  | (void(^)(NSError *error)) | handler

Sign in local user.

When the operation is successful

Parameters

  portalUserToken | User token received from the portal.
  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::signInCapability

- (void) startRecording: |  | (NSString *) | recordingName
recordingDescription: |  | (NSString *) | recordingDescription
completionHandler: |  | (void(^)(NSError *error)) | handler

Starts conference recording.

Parameters

  handler | A block to be called when the operation is completed.
  recordingName | Name of the meeting recording.
  recordingDescription | Description of the meeting recording. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

- (void) startRecordingWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Starts conference recording.

When the operation is successful, a status update is reported through the conference:didChangeRecordingStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::startRecordingCapability
  CSConference::stopRecordingCapability
  CSConference::recordingActive
  - stopRecordingWithCompletionHandler:

- (void) stopRecordingWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Stops conference recording.

When the operation is successful, a status update is reported through the conference:didChangeRecordingStatus: (CSConferenceDelegate-p) for this CSConference object.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::startRecordingCapability
  CSConference::stopRecordingCapability
  CSConference::recordingActive
  - startRecordingWithCompletionHandler:

- (void) unmuteAllParticipantsWithCompletionHandler: |  | (void(^)(NSError *error)) | handler |

Used by a conference moderator to unmute all participants on the conference call.

Parameters

  handler | A block to be called when the operation is completed. `error` If the operation was successful this parameter is nil. If an error occurred it contains an object describing the error.

See also
  CSConference::unmuteAllParticipantsCapability

## Property Documentation

- (CSCapability*) acceptDenyPendingParticipantCapability
| read nonatomic assign

CSCapability object indicating whether the local user can accept or deny a pending participant's request to enter a locked conference call.

Local user is not allowed to access/deny a pending participant, if the conference call does not support the feature, or if the local user does not have permission to accept/deny a pending participant's entry request, or if there is no one waiting to be admitted to the call.

Accept/Deny pending participant capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::pendingParticipants

- (CSDataSet*) activeParticipants
| read nonatomic assign

CSDataSet object indicating the participants who are in the conference.

Updates to the participant list (add, remove or update) are reported through the CSDataSetDelegate of the CSDataSet object.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::pendingParticipants
  CSConference::droppedParticipants

Deprecated:
  Use the participants property instead.

- (BOOL) activeSpeakerVideoAlwaysDisplayed
| read nonatomic assign

A Boolean value indicating whether the 'always display active speaker's video' option is currently enabled.

This property cannot be changed programmatically.

- (CSCapability*) activeTalkerCapability
| read nonatomic assign

CSCapability object indicating whether the conference call reports the active talker information.

Reporting of active talkers is dependent on the capabilities of the conferencing system. Active talker capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::activeTalkerParticipants

- (CSDataSet*) activeTalkerParticipants
| read nonatomic assign

CSDataSet object indicating the participants who are active talkers.

Updates to the participant list (add, remove or update) are reported through the CSDataSetDelegate of the CSDataSet object.

See also
  CSConference::recentTalkerParticipants

Deprecated:
  Use the activeTalkers property instead.

- (NSArray*) activeTalkers
| read atomic copy

An array of CSActiveParticipant objects representing the participants who are actively talking.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the active talkers list (add, remove or update) are reported through the CSConferenceDelegate via the activeTalkersDidChange message.

See also
  CSConference::recentTalkers

- (NSArray*) activeVideoSourceParticipants
| read atomic copy

An array of CSActiveParticipant objects representing the participants whose video is currently being received during a multi video channel conference call.

The returned array is a snapshot of the active video participants whose video is being received at the time this property is queried, and is not dynamically updated as the list changes. Updates to the list are reported through the CSConferenceDelegate via the didActiveVideoParticipantChange message. If the query is made for a conference call that is not multi video channel enabled, or if there is no active video participant on a multi video channel enabled conference call, the query returns nil. The application can query CSCall::multiVideoChannelsCapability to determine if the call is multi video channel enabled.

- (CSCapability*) addParticipantViaDialoutCapability
| read nonatomic assign

CSCapability object indicating the local user can request the conference server to dial out towards a specified address, for example, to add a new user to the conference call.

The capability returns not supported if the conference call does not support the participant dial-out feature, or if the local user does not have permission to initiate dial-out.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - addParticipant:completionHandler:
  - addParticipantFromCall:completionHandler:

- (CSCapability*) addTerminalIPAddressViaDialoutCapability
| read nonatomic assign

CSCapability object indicating the local user can request the conference server to dial out towards a terminal IP address to add a terminal as a new user to the conference call.

The capability returns not supported if the conference call does not support the terminal dial-out feature, or if the local user does not have permission to initiate dial-out.

See also
  - addTerminal:completionHandler:

- (CSCapability*) assignRecordingNameCapability
| read nonatomic assign

CSCapability object indicating whether the local user can assign name and description for the meeting recording.

The capability returns not supported if the conference call does not support setting name and description.

See also
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (CSCapability*) blockSelfVideoCapability
| read nonatomic assign

CSCapability object indicating whether the local user can block self video on the conference call.

The capability returns not supported if the local user does not have permission to block self video. This is typically when the local user has already blocked video. The application may use the blockVideoWithCompletionHandler: (CSActiveParticipant) instance associated with the local user to request block of local user's video from the conference server.

Conference video features are not supported when the client is used in shared control mode. See CSSharedControlService.

- (NSString*) brandName
| read nonatomic assign

The brand name of the conference if one is provided by the conference server.

A nil string is returned if there is no brand name provided.

- (NSURL*) collaborationURL
| read nonatomic assign

The collaboration URL associated with the conference call, if the conference call is capable of supporting collaboration.

- (CSCapability*) conferenceSlideViewerCapability
| read nonatomic assign

CSCapability object indicating whether the conference supports personal viewing of presentation slides.

For example, a person who joins a conference call late can use the slide viewer feature to view the document pages that have already been shared during the call. The application may use the result of this query to enable or disable functions related to viewing of previously shared slides during the conference. The support for the slide viewer is dependent on the conferencing system version. See CSConferenceSlideViewer for more information about the conference slide viewer feature.

Slide viewer capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::slideViewer

- (BOOL) continuationActive
| read nonatomic assign

A Boolean value indicating whether the conference continues after all moderators have left.

The value of this property is NO if the call is not a conference call, or if the conference call's continuation status is not set or if the feature is not supported.

See also
  CSConference::updateContinuationStatusCapability
  - setContinuationActive:completionHandler:

- (id<CSConferenceDelegate>) delegate
| read write nonatomic weak

The delegate used to handle conference-related events.

- (NSArray*) droppedParticipants
| read atomic copy

An array of CSDroppedParticipant objects representing participants who have left the conference.

When an CSActiveParticipant leaves the call, or is forced out by a moderator, the corresponding entry is removed from the conference roster list, and a new entry is added to the dropped participant list.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the dropped participant list (add, remove or update) are reported through the CSConferenceDelegate via the droppedParticipantsDidChange message.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::participants
  CSConference::pendingParticipants

- (CSDataSet*) droppedParticipantsDS
| read nonatomic assign

CSDataSet object indicating the participants who have left the conference.

When an CSActiveParticipant leaves the call, or is forced out by a moderator, the corresponding entry is removed from the conference roster list, and a new entry is added to the dropped participant list.

Updates to the participant list (add, remove or update) are reported through the CSDataSetDelegate of the CSDataSet object.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::pendingParticipants
  CSConference::activeParticipants

Deprecated:
  Use the droppedParticipants property instead.

- (CSConferenceEncryptionStatus) encryptionStatus
| read nonatomic assign

Current encryption status.

- (CSCapability*) endConferenceCapability
| read nonatomic assign

CSCapability object indicating whether the local user can end the conference call.

The capability returns not supported if the local user does not have permission to end the conference.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - endConferenceWithCompletionHandler:

- (BOOL) entryExitToneActive
| read nonatomic assign

A Boolean value indicating whether participant entry/exit tones are enabled for the conference.

The value of this property is NO if the call is not a conference call, or if the conference call's entry/exit tone is not enabled.

See also
  CSConference::updateEntryExitToneStatusCapability
  - setEntryExitToneActive:completionHandler:

- (BOOL) eventConference
| read nonatomic assign

A Boolean value indicating whether the call is an event conference or a regular conference.

- (CSCapability*) extendMeetingCapability
| read nonatomic assign

CSCapability object indicating whether local user can extend the end time of the conference call, if the conference has an end time set.

The capability returns not supported if the conference call does not support meeting extension, or if the local user does not have permission to extend the conference call.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::meetingEndTime
  - extendMeeting:completionHandler:

- (BOOL) handRaised
| read nonatomic assign

A Boolean value indicating whether the local user's hand is raised.

See also
  CSConference:raiseHandCapability
  CSConference:lowerHandCapability
  - lowerHandWithCompletionHandler:
  - raiseHandWithCompletionHandler:

- (CSChat*) inConferenceChat
| read nonatomic assign

CSChat object associated with the conference call.

CSChat object can be used to query for list of messages or send a new message.

See also
  CSConference::inConferenceChatCapability

- (CSCapability*) inConferenceChatCapability
| read nonatomic assign

CSCapability object indicating whether in-conference chat is supported.

In-conference chat allows conference participants to exchange messages amongst each other without interrupting the speaker. These messages can either be private between selected participants or shared with all conference participants.

The application may use the result of this query to enable or disable chat functions. See CSChat for more information about the in-conference chat feature.

In-conference chat capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::inConferenceChat

- (BOOL) isExternalAdmissionRequiredToEnterConference
| read nonatomic assign

A Boolean value indicating whether the conference call is in waiting external admission state.

The value of this property is NO if the conference is not currently waiting for external admission thorough DTMF.

- (BOOL) isPasscodeRequiredToEnterConference
| read nonatomic assign

A Boolean value indicating whether the conference call is in waiting passcode state.

The value of this property is NO if the conference is not currently waiting for passcode form user.

See also
  CSConference::sendPasscode

- (BOOL) lectureModeActive
| read nonatomic assign

A Boolean value indicating whether lecture mode is active.

The value of this property is NO if the call is not a conference call, or if the conference call does not have lecture mode active.

See also
  CSConference::updateLectureModeCapability
  - setLectureModeActive:completionHandler:

- (BOOL) locked
| read nonatomic assign

A Boolean value indicating the lock status of the conference call.

The value of this property is NO if the call is not a conference call or the conference call is not locked.

See also
  CSConference::updateLockCapability
  - setLocked:completionHandler:

- (CSCapability*) lowerHandCapability
| read nonatomic assign

CSCapability object indicating whether the local user can lower hand (e.g., lower hand after getting moderator's.

The capability returns not supported if the conference call does not support lowering hand.

Lower hand capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::handRaised
  - lowerHandWithCompletionHandler:

- (NSDate*) meetingEndTime
| read nonatomic assign

Meeting end time if an end time is set for the conference call.

A nil value is returned if there is no end time specified for the call.

See also
  CSConference::extendMeetingCapability
  - extendMeeting:completionHandler:

- (CSMeetingMinutes*) meetingMinutes
| read nonatomic assign

CSMeetingMinutes object associated with the conference call.

CSMeetingMinutes object can be used to query for list of minutes or to add a new minute, or edit or remove an existing minute.

See also
  CSConference::meetingMinutesCapability

- (CSCapability*) meetingMinutesCapability
| read nonatomic assign

CSCapability object indicating whether meeting minutes feature is supported.

The meeting minutes feature allows conference participants to enter notes, for example, to mark the beginning of a new topic during a conference call. See CSMeetingMinutes for more information about the meeting minutes feature. The application may use the result of this query to enable or disable meeting minutes related functions.

Meeting minutes capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::meetingMinutes

- (CSConferenceMobileLink*) mobileLink
| read nonatomic assign

CSConferenceMobileLink object is the mobile link instance associated with the conference.

See also
  CSConference::mobileLinkCapability

- (CSCapability*) mobileLinkCapability
| read nonatomic assign

CSCapability object indicating whether the conference supports mobile link connection to conference room systems.

The mobile link feature allows an application to control a conference call while terminating audio and video on a conferencing room system. The application may use the result of this query to enable or disable mobile link related functions. The support for the mobile link is dependent on the conferencing system version. See CSConferenceMobileLink for more information about the conference mobile link feature.

Mobile link capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::mobileLink

- (CSCapability*) moderationCapability
| read nonatomic assign

CSCapability object indicating whether the local user can moderate the conference call.

Slide viewer capability is not supported when the client is used in shared control mode. See CSSharedControlService.

- (BOOL) multiplePresentersAllowed
| read nonatomic assign

A Boolean value indicating whether multi presenter mode is enabled for the conference.

The value of this property is NO if the call is not a conference call or if the multi-presenter mode is not enabled.

See also
  CSConference::updateMultiplePresentersCapability
  - setMultiplePresentersAllowed:completionHandler:

- (CSCapability*) muteAllParticipantsCapability
| read nonatomic assign

CSCapability object indicating whether the local user can mute all participants at once.

The capability returns not supported if the conference call does not support this control, or if the local user does not have permission to mute all on the call.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - muteAllParticipantsWithCompletionHandler:

- (CSCapability*) muteSelfAudioCapability
| read nonatomic assign

CSCapability object indicating whether the local user can mute self audio on the conference call.

The capability returns not supported if the local user does not have permission to mute self audio, or if this feature is not supported by the conferencing server. This will also be not supported when the local user has already muted audio.

The application may use the muteWithCompletionHandler: (CSActiveParticipant) instance associated with the local user to request mute of local user's audio from the conference server.

- (BOOL) participantNameDisplayActive
| read nonatomic assign

A Boolean value indicating whether participant name display option is currently active.

See also
  CSConference::updateDisplayVideoParticipantNameCapability
  - setDisplayVideoParticipantNameActive:completionHandler:

- (NSArray*) participants
| read atomic copy

An array of CSActiveParticipant objects representing the participants who are currently in the conference.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the participant list (add, remove or update) are reported through the CSConferenceDelegate via the participantsDidChange message.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::pendingParticipants
  CSConference::droppedParticipants

- (CSCapability*) pauseRecordingCapability
| read nonatomic assign

CSCapability object indicating whether the local user can pause conference recording.

The capability returns not supported if the conference call does not support recording, or if the local user does not have permission to pause recording of the call, or if the recording is already paused.

See also
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (NSArray*) pendingParticipants
| read atomic copy

An array of CSPendingParticipant objects representing the participants who are waiting to be admitted to the conference.

A pending participant is a person who is waiting to join a conference call that is locked. A moderator of the conference call may allow entry of a pending participant into the conference call. During the time that a participant is pending, the same participant could also appear in the active participants list as an CSActiveParticipant whose "ConnectionStatus" property is set to "Authorizing". When a pending participant is allowed to enter the locked conference call, the corresponding entry is removed from the pending participant list. Subsequently, a corresponding CSActiveParticipant will change it's state to "connected" in list of conference participants.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the pending participant list (add, remove or update) are reported through the CSConferenceDelegate via the pendingParticipantsDidChange message.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::participants
  CSConference::droppedParticipants

- (CSDataSet*) pendingParticipantsDS
| read nonatomic assign

CSDataSet object indicating the participants who are waiting to be admitted to the conference.

A pending participant is a person who is waiting to join a conference call that is locked. A moderator of the conference call may allow entry of a pending participant into the conference call. When a pending participant is allowed to enter the locked conference call, the corresponding entry is removed from the pending participant list. Subsequently, a new CSActiveParticipant is added to the list of conference participants.

Updates to the participant list (add, remove or update) are reported through the CSDataSetDelegate of the CSDataSet object.

See also
  CSConference::retrieveParticipantListCapability
  CSConference::activeParticipants
  CSConference::droppedParticipants

Deprecated:
  Use the pendingParticipants property instead.

- (BOOL) permissionRequiredToEnterLockedConference
| read nonatomic assign

A Boolean value indicating whether the conference call is waiting access to join locked conference.

The value of this property is NO if the conference is not required permissions to join conference.

- (BOOL) pinRequiredToBecomeModerator
| read nonatomic assign

A Boolean value indicating whether the conference call requires entry of a moderator PIN before the local user is allowed to become a moderator.

The value of this property is YES only if CSConference::requestToBecomeModeratorCapability: returns supported indication. The application may use this method to prompt the user for moderator PIN before calling requestToBecomeModerator:completionHandler:.

See also
  CSConference::getRequestToBecomeModeratorCapability

- (CSCapability*) raiseHandCapability
| read nonatomic assign

CSCapability object indicating whether the local user can raise hand (e.g., to get moderator's or panelists' attention).

The capability returns not supported if the conference call does not support raising hand.

Raise hand capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::handRaised
  - raiseHandWithCompletionHandler:

- (CSDataSet*) recentTalkerParticipants
| read nonatomic assign

CSDataSet object indicating the participants who are recent talkers.

Updates to the participant list (add, remove or update) are reported through the CSDataSetDelegate of the CSDataSet object.

See also
  CSConference::activeTalkerParticipants

Deprecated:
  Use the recentTalkers property instead.

- (NSArray*) recentTalkers
| read atomic copy

An array of CSActiveParticipant objects representing the participants who are recent talkers.

The returned array is a snapshot in time and is not dynamically updated as the list changes. Updates to the recent talkers list (add, remove or update) are reported through the CSConferenceDelegate via the recentTalkersDidChange message.

See also
  CSConference::activeTalkers

- (BOOL) recordingActive
| read nonatomic assign

A Boolean value indicating whether the conference is being recorded.

The value of this property is NO if the call is not a conference call, or if the conference is not being recorded.

See also
  CSConference::startRecordingCapability
  CSConference::stopRecordingCapability
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (NSString*) recordingDescription
| read nonatomic assign

Returns the meeting recording description.

- (NSString*) recordingName
| read nonatomic assign

Returns the meeting recording name.

- (BOOL) recordingPaused
| read nonatomic assign

A Boolean value indicating whether the recording of the conference call is paused.

The value of this property is NO if the conference recording is paused, or if recording pause/resume is not supported by the conference server. The CSConference::recordingActive and CSConference::recordingPaused properties together return the current status of the conference recording.

See also
  CSConference::pauseRecordingCapability
  CSConference::resumeRecordingCapability
  - pauseRecordingWithCompletionHandler:
  - resumeRecordingWithCompletionHandler:

- (CSCapability*) removeLastParticipantCapability
| read nonatomic assign

CSCapability object indicating whether the last participant can be dropped from the call.

See also
  - removeLastParticipantWithCompletionHandler:

- (CSCapability*) removeParticipantCapability
| read nonatomic assign

CSCapability object indicating whether the local user can select and remove a participant from the call.

The capability returns not supported if the conference call does not support specification of a participant for removal, or if the local user does not have permission to select and drop a participant from the call.

See also
  - removeParticipant:completionHandler:

- (CSCapability*) requestToBecomeModeratorCapability
| read nonatomic assign

CSCapability object indicating whether the conference server allows local user to request to become a moderator.

The capability returns not supported if the conference server does not support self-promotion to become a moderator capability, or if the local user is already a moderator. The application may use the result of this query to enable or disable functions related to requesting to become a moderator.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::pinRequiredToBecomeModerator
  - requestToBecomeModerator:completionHandler:

- (CSCapability*) resumeRecordingCapability
| read nonatomic assign

CSCapability object indicating whether the local user can resume conference recording.

The capability returns not supported if the conference call does not support recording, or if the local user does not have permission to resume recording of the call, or if the recording is paused.

See also
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (CSCapability*) retrieveDialInInformationCapability
| read nonatomic assign

CSCapability object indicating whether the local user can retrieve dialing information from the conference server.

The capability returns not supported if the local user does not have permission to retrieve dialing information from the conference server.

See also
  CSConference::retrieveDialInInformation

- (CSCapability*) retrieveParticipantListCapability
| read nonatomic assign

CSCapability object indicating whether the conference call can be queried to get the list of conference participants.

See also
  CSConference::activeParticipants

- (CSCapability*) signInCapability
| read nonatomic assign

CSCapability object indicating whether the local user can sign in.

The capability returns not supported if the conference call does not support sign in, or if the local user does not have permission to sign in.

See also
  CSConference::signIn:completionHandler:

- (CSConferenceSlideViewer*) slideViewer
| read nonatomic assign

CSConferenceSlideViewer object is the slide viewer instance associated with the conference call.

See also
  CSConference::conferenceSlideViewerCapability

- (CSCapability*) startRecordingCapability
| read nonatomic assign

CSCapability object indicating whether the local user can start conference recording.

The capability returns not supported if the conference call does not support recording, or if the local user does not have permission to start recording of the call, or if the recording is already active.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (CSCapability*) stopRecordingCapability
| read nonatomic assign

CSCapability object indicating whether the local user can stop conference recording.

The capability returns not supported if the conference call does not support recording, or if the local user does not have permission to start recording of the call, or if the recording is not active.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - startRecordingWithCompletionHandler:
  - stopRecordingWithCompletionHandler:

- (CSConferenceStreamingStatus) streamingStatus
| read nonatomic assign

Current streaming status.

- (NSString*) subject
| read nonatomic assign

The subject of the conference if one is provided by the conference server.

A nil string is returned if there is no subject provided.

- (NSArray*) supportedVideoLayouts
| read nonatomic assign

The list of video layouts that the user can choose from.

If the conference server does not support video layout selection, nil is returned.

See also
  CSConference::updateVideoLayoutCapability
  CSConference::videoLayout
  - setVideoLayout:completionHandler:

- (CSCapability*) unblockSelfVideoCapability
| read nonatomic assign

CSCapability object indicating whether the local user can unblock self video on the conference call.

The capability returns not supported if the local user does not have permission to unblock self video. This is typically when the local user does not have video blocked, or when the conference is in lecture mode and the local user is not the moderator or lecturer. The application may use the unblockVideoWithCompletionHandler: (CSActiveParticipant) instance associated with the local user to request unblock of local user's video from the conference server.

Conference video features are not supported when the client is used in shared control mode. See CSSharedControlService.

- (CSCapability*) unmuteAllParticipantsCapability
| read nonatomic assign

CSCapability object indicating whether the local user can unmute all participants at once.

The capability returns not supported if the conference call does not support this control, or if the local user does not have permission to unmute all on the call.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - unmuteAllParticipantsWithCompletionHandler:

- (CSCapability*) unmuteSelfAudioCapability
| read nonatomic assign

CSCapability object indicating whether the local user can unmute self audio on the conference call.

The capability returns not supported if the local user does not have permission to unmute self audio. This can happen under the following circumstances:

- The local user does not have audio muted.
- The feature is not supported by the conference server.
- The conference is in lecture mode and the local user is not the moderator or lecturer.

The application may use the unmuteWithCompletionHandler: (CSActiveParticipant) instance associated with the local user to request unmute of local user's audio from the conference server.

- (CSCapability*) updateContinuationStatusCapability
| read nonatomic assign

CSCapability object indicating whether the local user can change the conference call continuation mode.

Continuation mode allows the conference call to continue after the moderator leaves the conference call. This feature is not applicable to all Avaya conferencing solutions. The capability returns not supported if the conference call does not support conference continuation after the moderator leaves the call, or if the local user does not have permission to set the call continuation mode.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::continuationActive
  - setContinuationActive:completionHandler:

- (CSCapability*) updateDisplayVideoParticipantNameCapability
| read nonatomic assign

CSCapability object indicating whether the local user can control display of participant names in the personal video layout received from the conference server.

The capability returns not supported if the conference call does not support this feature.

Conference video capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::participantNameDisplayActive
  - setDisplayVideoParticipantNameActive:completionHandler:

- (CSCapability*) updateEntryExitToneStatusCapability
| read nonatomic assign

CSCapability object indicating whether the local user can control entry/exit tone setting of the conference call.

The capability returns not supported if the conference call does not support entry/exit tones, or if the local user does not have permission to control the entry/exit tones.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::entryExitToneActive
  - setEntryExitToneActive:completionHandler:

- (CSCapability*) updateLectureModeCapability
| read nonatomic assign

CSCapability object indicating whether the local user can put the conference call in lecture mode.

The capability returns not supported if the conference call does not support lecture mode, or if the local user does not have permission to set the call into lecture mode.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::lectureModeActive
  - setLectureModeActive:completionHandler:

- (CSCapability*) updateLockCapability
| read nonatomic assign

CSCapability object indicating whether the local user can lock/unlock the conference call.

The capability returns not supported if the conference call does not support lock/unlock, or if the local user does not have permission to lock/unlock the conference call.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::locked
  - setLocked:completionHandler:

- (CSCapability*) updateMultiplePresentersCapability
| read nonatomic assign

CSCapability object indicating whether the local user can control panel mode status of the conference call.

The capability returns not supported if the conference call does not support panel mode setting, or if the local user does not have permission to control the panel mode setting.

Update multiple presenters capability is not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::multiplePresentersAllowed
  - setMultiplePresentersAllowed:completionHandler:

- (CSCapability*) updateVideoAllowedCapability
| read nonatomic assign

CSCapability object indicating whether the local user can enable/disable video for the conference call.

The capability returns not supported if the conference call does not support control of video allow/disallow, or if the local user does not have permission to control video allow/disallow status of the call.

Conference video capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::videoAllowed
  - setVideoAllowed:completionHandler:

- (CSCapability*) updateVideoLayoutCapability
| read nonatomic assign

CSCapability object indicating whether the local user can control the video layout setting of the video received from the conference server.

The capability returns not supported if the conference call does not support video layout setting.

Conference video capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::videoLayout
  CSConference::supportedVideoLayouts
  - setVideoLayout:completionHandler:

- (CSCapability*) updateVideoSelfSeeCapability
| read nonatomic assign

CSCapability object indicating whether the local user can control display of the local user's video in the personal video layout received from the conference server.

The capability returns not supported if the conference call does not support this feature.

Conference video capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  CSConference::videoSelfSeeActive
  - setVideoSelfSeeActive:completionHandler:

- (BOOL) videoAllowed
| read nonatomic assign

A Boolean value indicating whether the conference allows video.

The value of this property is NO if the call is not a conference call, or if video on the conference call is not allowed.

See also
  CSConference::updateVideoAllowedCapability
  - setVideoAllowed:completionHandler:

- (CSVideoLayout) videoLayout
| read nonatomic assign

Current layout of the video image created by the conference server.

CSVideoLayoutNone is returned to indicate that the conference server does not support video layout selection.

See also
  CSConference::updateVideoLayoutCapability
  CSConference::supportedVideoLayouts
  - setVideoLayout:completionHandler:

- (CSCapability*) videoPinCapability
| read nonatomic assign

CSCapability object indicating whether the local user can pin a specific participant's video in a specific position of the current video layout.

This capability returns not supported if the conference call does not support video pinning/unpinning, or video pin/unpin requests.

Conference moderation capabilities are not supported when the client is used in shared control mode. See CSSharedControlService.

See also
  - pinVideoWithSourcePoint:destinationPoint:completionHandler:

- (BOOL) videoSelfSeeActive
| read nonatomic assign

A Boolean value indicating whether the self see option is currently active.

See also
  CSConference::updateVideoSelfSeeCapability
  - setVideoSelfSeeActive:completionHandler:

- (BOOL) waitingToStart
| read nonatomic assign

A Boolean value indicating whether the conference call is waiting to be started.

The value of this property is NO if the conference has not started because the conference requires a moderator to join before start.

Note: This feature is not fully supported across all conferencing platforms.

The documentation for this class was generated from the following file:

- CSConference.h